org.eclipse.ease.service

## Class ScriptServiceFactory

- java.lang.Object
- - org.eclipse.ui.services.AbstractServiceFactory
  - - org.eclipse.ease.service.ScriptServiceFactory

    public class ScriptServiceFactory
    extends AbstractServiceFactory

Service factory for `IScriptService`.

### Constructor Summary

Constructors
Constructor and Description
`ScriptServiceFactory()`

### Method Summary

Methods
`Object` `create(Class serviceInterface, IServiceLocator parentLocator, IServiceLocator locator)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptServiceFactory

    public ScriptServiceFactory()

### Method Detail

#### create

    public Object create(Class serviceInterface,
                IServiceLocator parentLocator,
                IServiceLocator locator)

Specified by:
  `create` in class `AbstractServiceFactory`